#!/bin/sh
#
# text file format:
#
# comments
# ...
#
# = title 1
# line1
# line2
# ...
#
# paragraph2
# ...
#
# = title 2
# ...

# include weather from NOAA? see weather2txt.sh for more detail.
weather=1

tmp1=/tmp/txt2wa.$$.1
tmp2=/tmp/txt2wa.$$.2
trap "rm -f $tmp1 $tmp2" 0 1 2

txt=$1

if [ ! -r "$txt" ]
then
	echo "Usage: txt2wa.sh txt_file"
	exit 1
fi

. ~/.dlusbrc

cp $txt $tmp1
if [ "$weather" -eq 1 ]
then
	weather2txt.sh >> $tmp1
fi

perl -e '
while(<>){
	if(m/^= /){
		if($title){
			print "\n";
			if(!$blank){
				print "\n";
			}
		}
		s/^= //;
		$title = 1;
		$first = 1;
		$blank = 0;
	}elsif(!m/^ *$/){
		s/\n//;
		if(!$first){
			s/^/ /;
		}
		$first = 0;
		$blank = 0;
	}else{
		if($blank){
			next;
		}
		$first = 1;
		$blank = 1;
	}
	if($title){
		print;
	}
}
print "\n";
' < $tmp1 > $tmp2

txt2wa $tmp2 $dlusb_dir/wristapp/text_dbase_018.bin
